Package org.gradle.play

## Interface PlayPlatformAwareComponentSpec

- All Superinterfaces:
    `ComponentSpec`, `ModelElement`, `Named`, `PlatformAwareComponentSpec`, `VariantComponent`, `VariantComponentSpec`
  All Known Subinterfaces:
    `PlayApplicationSpec`

      @Incubating
      @Deprecated
      public interface PlayPlatformAwareComponentSpec
      extends PlatformAwareComponentSpec

  Deprecated.
  Platform aware aspect of a Play Framework software component.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `platform​(Object platformRequirements)` | Deprecated.

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.platform.base.PlatformAwareComponentSpec

      `targetPlatform`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponent

      `getName, getVariants`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

      `getBinaries`

- - ### Method Detail

    - #### platform

          void platform​(Object platformRequirements)

      Deprecated.